GET api/v2/LogEvents/GetLogActionByDate?since={since}&actionType={actionType}&objectType={objectType}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| since | date |
Required |
|
| actionType | ActionType |
Required |
|
| objectType | ObjectType |
Required |
Body Parameters
None.
Response Information
Resource Description
Collection of LogActionContract| Name | Description | Type | Additional information |
|---|---|---|---|
| logID | globally unique identifier |
None. |
|
| objectType |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"logID": "38766b9a-051b-40d1-b700-3717c6d44bca",
"objectType": 1,
"relatedID": "sample string 2",
"actionType": 1,
"logDate": "2026-09-22 12:31:27"
},
{
"logID": "38766b9a-051b-40d1-b700-3717c6d44bca",
"objectType": 1,
"relatedID": "sample string 2",
"actionType": 1,
"logDate": "2026-09-22 12:31:27"
}
]
application/xml, text/xml
Sample:
<ArrayOfLogActionContract xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.agrifoodatsolutions.com/FPService/v2/contracts/2017/01">
<LogActionContract>
<actionType>Create</actionType>
<logDate>2026-09-22T12:31:27.95289+00:00</logDate>
<logID>38766b9a-051b-40d1-b700-3717c6d44bca</logID>
<objectType>Task</objectType>
<relatedID>sample string 2</relatedID>
</LogActionContract>
<LogActionContract>
<actionType>Create</actionType>
<logDate>2026-09-22T12:31:27.95289+00:00</logDate>
<logID>38766b9a-051b-40d1-b700-3717c6d44bca</logID>
<objectType>Task</objectType>
<relatedID>sample string 2</relatedID>
</LogActionContract>
</ArrayOfLogActionContract>